TERMINAL(1)

NAME
Terminal - Un emulador de terminal para as X

SINOPSE

Terminal [OPCIÓN...]

DESCRICIóN

Terminal é o que se coñece como emulador de terminal X, a miúdo chamada terminal ou shell. Proporciona un equivalente a desfasada pantalla de texto no seu escritorio, pero que pode compartir a pantalla facilmente con outros aplicativos gráficos. Os usuarios de Windows pode que estean familiarizados ca utilidade MS-DOS, que ten a función análoga de ofrecer unha liña de comandos DOS en Windows, aínda que debe ter en conta que a CLI de UNIX é moito máis potente e fácil de usar que a de DOS.

Terminal emula ao aplicativo xterm desenvolvido polo X Consortium. En cambio, o aplicativo xterm emula á terminal do DEC VT102 e tamén soporta as secuencias de escape do DEC VT220. Unha secuencia de escape é unha serie de caracteres que comezan co carácter Esc. Terminal acepta todas as secuencias de escape que usan as terminais do VT102 e do VT220 usan para funcións como situar o cursor e limpar a pantalla.

OPCIóNS

  Resumo de opcións

Aquí ten un resumo de todas as opcións, agrupadas por tipo. As explicacións están nas seguintes seccións.

Opcións xerais
    -h, --help; -V, --version; --disable-server; --default-display=pantalla; --default-working-directory=directorio

Separadores de fiestras ou lapelas
    --tab; --window

Opcións de lapelas
    -x, --execute; -e, --command=comando; --working-directory=directorio; -T, --title=título; -H, --hold

Opcións de fiestra
    --display=pantalla; --geometry=xeometría; --role=rol; --startup-id=cadea; -I, --icon=icona; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbars, --hide-toolbars

  Opcións xerais

-h, --help
    Lista as diferentes opcións de liña de comandos que soporta Terminal e sae

-V, --version
    Mostrar a información da versión e saír

--disable-server
    Non rexistrarse co bus de mensaxes de sesión D-BUS

--default-display=pantalla
    A pantalla das X predeterminada que se vai usar.

--default-working-directory=directorio
    Define directorio como directorio de traballo predeterminado para a terminal

  Separadores de fiestras ou lapelas

--tab
    Abrir unha nova lapela na última fiestra especificada; pódese proporcionar máis dunha destas opcións.

--window
    Abrir unha nova fiestra cunha soa lapela; pódese proporcionar máis dunha destas opcións.

  Opcións de lapelas

-x, --execute
    Executa o resto da liña de comandos na terminal

-e, --command=comando
    Executar comando na terminal

--working-directory=directorio
    Define directorio como directorio de traballo para a terminal

-T, --title=título
    Define título como título da fiestra inicial de terminal

-H, --hold
    Provoca que se manteña a terminal despois de que termine o comando fillo

  Opcións de fiestra

--display=pantalla
    Pantalla X a usar para a última fiestra especificada.

--geometry=xeometría
    Define a xeometría da última fiestra especificada a geometry. Consulte X(7) para obter máis información sobre como especificar as xeometrías das fiestras.

--role=rol
    Define a rol o rol de fiestra da última fiestra especificada. Só se aplica a unha fiestra e pode especificarse unha vez por cada fiestra que cree dende a liña de comandos. Úsase sobre todo para a xestión de sesións dentro de Terminal

--startup-id=cadea
    Especifica a notificación de inicio da última fiestra especificada. Úsase internamente para reenviar o id de notificación de inicio usando o servizo D-BUS.

-I, --icon=icona
    Define a icona da terminal como un nome de icona ou un nome de ficheiro.

--fullscreen
    Poñer a última fiestra especificada en modo pantalla completa; só se aplica a unha fiestra; pode especificarse unha vez por cada fiestra que se crea dende a liña de comandos.

--maximize
    Poñer a última fiestra especificada en modo maximizado; só se aplica a unha fiestra; pode especificarse unha vez por cada fiestra que se crea dende a liña de comandos.

--show-menubar
    Activa a barra de menú para a última fiestra especificada. Pode especificarse unha vez por cada fiestra que se crea dende a liña de comandos.

--hide-menubar
    Desactiva a barra de menú para a última fiestra especificada. Pode especificarse unha vez por cada fiestra que se crea dende a liña de comandos.

--show-borders
    Activar as decoracións das fiestras para a última fiestra especificada. Só se aplica a unha fiestra. Pode especificarse unha vez por cada fiestra que se crea dende a liña de comandos.

--hide-borders
    Desactivar as decoracións das fiestras para a última fiestra especificada. Só se aplica a unha fiestra. Pode especificarse unha vez por cada fiestra que se crea dende a liña de comandos.

--show-toolbars
    Activar as barras de ferramentas para a última fiestra especificada. Só se aplica a unha fiestra. Pode especificarse unha vez por cada fiestra que se crea dende a liña de comandos.

--hide-toolbars
    Desactivar as barras de ferramentas para a última fiestra especificada. Só se aplica a unha fiestra. Pode especificarse unha vez por cada fiestra que se crea dende a liña de comandos.

EXEMPLOS

Terminal --geometry 80x40 --command mutt --tab --command mc
    Abre unha nova fiestra de terminal cunha xeometría de 80 columnas e 40 filas e dúas lapelas, na que na primeira lapela se executa mutt e na segunda lapela se executa mc.

CONTORNO

Terminal usa a Especificación Basedir tal como se define en Freedesktop.org[1] para localizar os seus datos e os seus ficheiros de configuración. Isto significa que as localizacións dos ficheiros se especificarán como unha ruta relativa aos directorio especificados na especificación.

${XDG_CONFIG_HOME}
    O primeiro directorio no que se han buscar os ficheiros de configuración. Por defecto está definido a ~/.config/.

${XDG_CONFIG_DIRS}
    Un lista separada por comas de directorios base que conteñen datos de configuración. Por defecto o aplicativo mirará en filename role="directory">${sysconfdir}/xdg/

${XDG_DATA_HOME}
    A raíz de tódolos ficheiros de datos específicos do usuario. Por defecto é ~/.local/share/.

${XDG_DATA_DIRS}
    Un conxunto de directorios base ordenados por preferencia relativos nos cales se deben buscar os ficheiros de datos ademais de no directorio base ${XDG_DATA_HOME}. Os directorios deben separarse con comas.

FICHEIROS

${XDG_CONFIG_DIRS}/Terminal/terminalrc
    Esta é a localización do ficheiro de configuración que inclúe as preferencias que controlan o aspecto e mailo comportamento de Terminal.

${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui
    Este ficheiro inclúe a definición da interface de usuario para as barras de ferramentas. Se personaliza as barras de ferramentas usando o editor gráfico de barras de ferramentas, Terminal ha gardar a disposición das novas barras de ferramentas no ficheiro ${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui.

VEXA TAMéN

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Desenvolvedor

Benedikt Meurer <benny@xfce.org>
Desenvolvedor de software, os-cillation, Desenvolvemento do sistema,
    Desenvolvedor

NOTES

1.  Freedesktop.org
    http://freedesktop.org/